## libaio 0.3.109

=== debian/changelog ===
libaio (0.3.109-2ubuntu1) precise; urgency=low

  * Fix io_* manual page sections.  This avoids a file conflict with
    manpages-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Oct 2011 15:37:15 +0100

libaio (0.3.109-2) unstable; urgency=low

  * Add a symbols file for libaio1.
  * Remove heading ‘./’ from lintian-override tag.
  * Fix FTBFS with newer gcc 4.6: (Closes: #638848)
    - Do not build the test-suite with -Werror.
    - Use unused waitpid() return code variables to assert valid values.
  * Make shared library packages multiarch:
    - Build-Depend on debhelper 8.1.3.
    - Add misc:Pre-Depends substvar to Pre-Depends field in libaio1.
    - Add “Multi-Arch: same” field to libaio1 and libaio1-dbg.
    - Change paths from lib/ to lib/* in install and lintian-override files.
    - Define DEB_HOST_MULTIARCH and use it to set libdir and libdevdir.
  * Install all libaio io*.3 man pages. (Closes: #418048)
  * Do not install man pages for functions coming from libc, the aio*
    and lio_listio* man pages are already shipped by manpages-dev.
  * Merge adapted changes from Ubuntu. (Closes: #588112)
    - Change Priority from extra to optional.
    - Add support for sparc64 and hppa 64-bit architectures.
  * Set libaio1-dbg Priority back to extra.
  * Now using Standards-Version 3.9.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Tue, 30 Aug 2011 16:54:22 +0200

libaio (0.3.109-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.
  * Update watch file to point to the new upstream URL at kernel.org.
  * Now using Standards-Version 3.9.1 (no changes needed).
  * Add missing ${misc:Depends} to eveyr package Depends fields.
  * Switch Architecture field list to just linux-any, and although the
    code will not automatically support new Linux architectures, as it
    will miss the syscall-<arch>.h header support among others, it just
    needs to be ported, and this way it's easier to spot. This implicitly
    adds amrhf support. (Closes: #596996)
  * Add a Homepage field. (Closes: #566338)

 -- Guillem Jover <guillem@debian.org>  Sun, 27 Feb 2011 05:22:27 +0100

libaio (0.3.107-7) unstable; urgency=low

  * Add support for sh3 and sh4. (Closes: #535288)
    Thanks to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>.
  * Now using Standards-Version 3.8.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 10 Sep 2009 13:02:34 +0200

libaio (0.3.107-6) unstable; urgency=low

  * Workaround debhelper compat v7 bug (#534565) in dh_install which makes
    files end up under /debian/tmp/ in the binary package, by not passing
    --sourcedir to dh_install. (Closes: #533359, #532644)
  * Pass -s to arch dependent debhelper commands.
  * Now using Standards-Version 3.8.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 25 Jun 2009 14:11:25 +0200

libaio (0.3.107-5) unstable; urgency=low

  * Change libaio1-dbg section to debug.
  * Fix build failure in test suite on non-i386 32 bit architectures.
  * Fix man pages errors and warnings.

 -- Guillem Jover <guillem@debian.org>  Wed, 10 Jun 2009 06:09:52 +0200

libaio (0.3.107-4) unstable; urgency=low

  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Remove libaio1.dirs, unneeded due to dh_lintian taking care of it.
  * Run the test suite on all architectures and not only on i386.
  * Now using Standards-Version 3.8.1 (no changes needed).
  * Switch the upstream repository reference from CVS to git.

 -- Guillem Jover <guillem@debian.org>  Mon, 08 Jun 2009 19:40:54 +0200

libaio (0.3.107-3) unstable; urgency=low

  * Fix the Vcs-Git URL.
  * Remove XB- from the Package-Type field.
  * Fix watch file URL. (Closes: #502884)
    Thanks to Jiří Paleček <jpalecek@web.de>.

 -- Guillem Jover <guillem@debian.org>  Mon, 20 Oct 2008 20:36:43 +0300

libaio (0.3.107-2) unstable; urgency=low

  * Only run the test suite on i386 as it has not been ported for other
    architectures. (Closes: #488812)
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Do not check for the existence of the Makefile on clean, it's always
    there.
  * Switch to use dh_lintian instead of manually installing the overrides.
    - Bump the versioned debhelper Build-Depends to 6.0.7.

 -- Guillem Jover <guillem@debian.org>  Wed, 09 Jul 2008 05:32:30 +0300

libaio (0.3.107-1) unstable; urgency=low

  * New upstream release.
  * Run the test suite on install, and support nocheck DEB_BUILD_OPTIONS
    to disable it.

 -- Guillem Jover <guillem@debian.org>  Tue, 24 Jun 2008 09:03:54 +0300

libaio (0.3.106-9) unstable; urgency=low

  * Fix misspelled words (linux -> Linux and aio -> AIO).
  * Update packaging Vcs fields to the new URL.
  * Improve debian/copyright:
    - Change 'Copyright Holder' to 'Copyright Holders'.
    - Use UTF-8 copyright sign.
    - Update upstream download url.
    - Refer to LGPL-2.1 from common-licenses instead of just LGPL.
  * Add a debian/README.source file.
  * Now using Standards-Version 3.8.0.
  * Refresh patches with -pab. (Closes: #484962)
  * Update watch file URL. (Closes: #450017)

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Jun 2008 07:42:52 +0300

libaio (0.3.106-8) unstable; urgency=low

  * Install shared library under /lib, needed by multipath binaries which
    reside under /sbin. (Closes: #441244)
    - debian/patches/02_libdevdir.patch: New file.
  * Add a debugging symbols library package.
  * Add Vcs-Browser and Vcs-Git fields.

 -- Guillem Jover <guillem@debian.org>  Tue, 11 Sep 2007 04:29:22 +0300

libaio (0.3.106-7) unstable; urgency=low


