=== debian/control ===
Source: libaio
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
Priority: optional
Section: libs
Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/libaio.git
Vcs-Git: git://git.hadrons.org/git/debian/pkgs/libaio.git
Homepage: http://www.kernel.org/pub/linux/libs/aio/
Build-Depends: debhelper (>= 8.1.3)
Standards-Version: 3.9.2

Package: libaio1
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux kernel AIO access library - shared library
 This library enables userspace to use Linux kernel asynchronous I/O
 system calls, important for the performance of databases and other
 advanced applications.

Package: libaio1-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux kernel AIO access library - shared library
 This library enables userspace to use Linux kernel asynchronous I/O
 system calls, important for the performance of databases and other
 advanced applications.

Package: libaio1-dbg
Priority: extra
Section: debug
Architecture: linux-any
Multi-Arch: same
Depends: libaio1 (= ${binary:Version}), ${misc:Depends}
Description: Linux kernel AIO access library - debugging symbols
 This library enables userspace to use Linux kernel asynchronous I/O
 system calls, important for the performance of databases and other
 advanced applications.

Package: libaio-dev
Section: libdevel
Architecture: linux-any
Depends: libaio1 (= ${binary:Version}), ${misc:Depends}
Description: Linux kernel AIO access library - development files
 This library enables userspace to use Linux kernel asynchronous I/O
 system calls, important for the performance of databases and other
 advanced applications.
