=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS = -Wall -g

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

lib := libaio1
libdbg := $(lib)-dbg
libudeb := $(lib)-udeb
libdev := libaio-dev

build-indep:

build-arch:
	dh_testdir
	
	$(MAKE)

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	
	$(MAKE) clean
	
	dh_clean

check-arch: build-arch
	dh_testdir
	
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) partcheck
endif

install-arch: check-arch
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	
	$(MAKE) install \
	  DESTDIR=$(CURDIR)/debian/tmp \
	  libdir=/lib/$(DEB_HOST_MULTIARCH) \
	  libdevdir=/usr/lib/$(DEB_HOST_MULTIARCH)

binary: binary-indep binary-arch

binary-indep:
	# Nothing to do.

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_install -s
	dh_installchangelogs -s ChangeLog
	dh_installdocs -s
	dh_installexamples -s
	dh_installman -s
	dh_lintian -s
	dh_link -s
	dh_strip -s --dbg-package=$(libdbg)
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s --add-udeb '$(libudeb)'
	dh_shlibdeps -s
	dh_installdeb -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

.PHONY: clean build-indep build-arch build 
.PHONY: install-arch binary-indep binary-arch binary
