=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
http://ftp.kernel.org/pub/linux/libs/aio/ libaio-([\d\.]+)\.tar.gz debian uupdate
# http://download.fedoraproject.org/pub/fedora/linux/development/source/SRPMS/ libaio-([\d\.]+)-[\w\.]+\.src.rpm debian uupdate
