## libaio 0.3.110

=== debian/changelog ===
libaio (0.3.110-4) unstable; urgency=medium

  * Update upstream URLs to point to pagure.io instead of obsolete
    fedorahosted.org site.
  * Switch to debhelper compatibility level 10.
  * Now using Standards-Version 4.0.1 (no changes needed).
  * Move location of LGPL in Debian systems into a Comment field in
    debian/copyright.
  * Use -a instead of deprecated -s in debhelper commands.

 -- Guillem Jover <guillem@debian.org>  Tue, 08 Aug 2017 00:29:32 +0200

libaio (0.3.110-3) unstable; urgency=medium

  * Use https for hadrons.org and debian.org URLs.
  * Switch debug package to a ddeb.
  * Switch to the dpkg makefile fragments in debian/rules.
  * Enable hardening bindnow feature.
  * Update URL in debian/watch.
  * Fix typos in man pages, reported by lintian.
  * Now using Standards-Version 3.9.8 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Tue, 31 May 2016 20:38:08 +0200

libaio (0.3.110-2) unstable; urgency=medium

  * Use https for the debian/copyright Format URL.
  * Switch Vcs-Browser to a cgit URL.
  * Update Homepage URL to new release site.
    Prompted by Sedat Dilek <sedat.dilek@gmail.com>.
  * Use https in debian/watch URL.
  * Add a small note on each long package description explaining what is
    contained on each package.
  * Document each patch.

 -- Guillem Jover <guillem@debian.org>  Tue, 29 Sep 2015 16:48:30 +0200

libaio (0.3.110-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
  * Link against -lc and -Wl,--as-needed so that we pull the required
    fortified functions from the internal libc_nonshared.a, but do not link
    against the shared library because we do not use any of its symbols.
    (Closes: #764509)
  * Switch debian/copyright to machine-readable format 1.0.
  * Now using Standards-Version 3.9.6 (no changes needed).
  * Switch to debhelper compatibility level 9.
  * Fix mips/mipsel syscall wrappers to return correct error values.
    Thanks to Jurica Stanojkovic <Jurica.Stanojkovic@rt-rk.com>.
  * Add mips64 support. Reported by Jeremy Fitzhardinge <jeremy@exablox.com>.

 -- Guillem Jover <guillem@debian.org>  Thu, 09 Oct 2014 05:44:48 +0200

libaio (0.3.109-4) unstable; urgency=low

  * Now using Standards-Version 3.9.4 (no changes needed).
  * Remove package creation information from debian/copyright.
  * Update upstream git URL in debian/copyright.
  * Add support for x32 (from the Yocto project). (Closes: #702183)
    Thanks to Daniel Schepler <dschepler@gmail.com>.
  * Add support for arm64 (stolen from upstream). (Closes: #702409)
    Thanks to Ian Campbell <ijc@hellion.org.uk>.
  * Add cross-compilation support.
    Based on a patch by Ian Campbell <ijc@hellion.org.uk>.
  * Update debian/watch file to a working URL.

 -- Guillem Jover <guillem@debian.org>  Mon, 06 May 2013 18:56:19 +0200

libaio (0.3.109-3) unstable; urgency=low

  * Escape backslash in man pages. (Closes: #651833)
    Thanks to Stephan Springl <springl-libaio@bfw-online.de>.
  * Do not install man pages now provided by manpages-dev. (Closes: #650108)
  * Use dpkg-buildflags to set CPPFLAGS, CFLAGS and LDFLAGS.
  * Now using Standards-Version 3.9.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 21 Jun 2012 09:21:59 +0200
