=== debian/control ===
Source: libaio
Maintainer: Guillem Jover <guillem@debian.org>
Priority: optional
Section: libs
Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/libaio.git
Vcs-Git: https://git.hadrons.org/git/debian/pkgs/libaio.git
Homepage: https://pagure.io/libaio
Build-Depends: debhelper (>= 10)
Standards-Version: 4.0.1

Package: libaio1
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux kernel AIO access library - shared library
 This library enables userspace to use Linux kernel asynchronous I/O
 system calls, important for the performance of databases and other
 advanced applications.
 .
 This package contains the shared library.

Package: libaio1-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux kernel AIO access library - shared library
 This library enables userspace to use Linux kernel asynchronous I/O
 system calls, important for the performance of databases and other
 advanced applications.
 .
 This package contains the udeb shared library.

Package: libaio-dev
Section: libdevel
Architecture: linux-any
Depends: libaio1 (= ${binary:Version}), ${misc:Depends}
Description: Linux kernel AIO access library - development files
 This library enables userspace to use Linux kernel asynchronous I/O
 system calls, important for the performance of databases and other
 advanced applications.
 .
 This package contains the static library and the header files.
