=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
https://releases.pagure.org/libaio/libaio-([\d\.]+)\.tar\.(gz|xz) debian uupdate
