## libaio 0.3.111

=== debian/changelog ===
libaio (0.3.111-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
    - Fix x32 support. (Closes: #883904)
    - Add riscv64 support. (Closes: #893003)
  * Fix cross-building by not invoking getconf for PAGESIZE, and instead
    getting the value at run-time.
  * Do not pass -fomit-frame-pointer as part of the required compiler flags.
  * Remove now always unused lintian override, as upstream requires linking
    against libc everywhere for its syscall(3) usage.
  * Mark libaio-dev as Multi-Arch same.
  * Now using Standards-Version 4.1.3 (no changes needed).
  * Switch to debhelper compatibility level 11.

 -- Guillem Jover <guillem@debian.org>  Sun, 18 Mar 2018 02:58:44 +0100

libaio (0.3.110-5) unstable; urgency=medium

  * Line-wrap and sort debian/control fields.
  * Now using Standards-Version 4.1.1 (no changes needed).
  * Use dpkg buildtools.mk fragment to set a correct CC.
  * Set Rules-Requires-Root to no.
  * Switch to debian/watch format version 4.
  * Fix regex in debian/watch file to not include extension in the version.

 -- Guillem Jover <guillem@debian.org>  Sun, 05 Nov 2017 16:26:47 +0100
