=== debian/changelog ===
libaio (0.3.112-9) unstable; urgency=medium

  * Remove Build-Depends on dpkg-dev, satisfied in stable.
  * Switch to debhelper compatibility level 13.
  * Do not pass ChangeLog to dh_installchangelogs, now handled by default.
  * Switch to Standards-Version 4.5.1 (no changes needed).
  * Switch to the dh sequencer.
  * Add debian/upstream/metadata file.

 -- Guillem Jover <guillem@debian.org>  Thu, 24 Dec 2020 15:41:17 +0100

libaio (0.3.112-8) unstable; urgency=medium

  * Add a comment with the reason for each architecture being in the flaky
    test suite mode.
  * Remove temporary forced flaky test suite run on architectures built under
    an emulator, and move them to the permanent flaky list.
  * Add x32 to the flaky test suite mode list, it's still failing on the build
    daemons, even though it worked locally.
  * Remove no longer needed TESTS_RUN logic, and inline the nocheck condition.

 -- Guillem Jover <guillem@debian.org>  Mon, 13 Apr 2020 02:58:47 +0200

libaio (0.3.112-7) unstable; urgency=medium

  * Cleanup patches:
    - Move upstream patches under debian/patches/upstream/.
    - Fix syscall definitions for ARM and ia64 to match the kernel exactly.
      Otherwise the preprocessor emits warnings about redefinitions.
    - Split the architecture support patches into one per arch support.
    - Fix syscall definitions for hppa to match the kernel exactly.
    - Make __X32_SYSCALL_BIT an unsigned long constant to match the kernel.
    - Fix x32 structures padding.
    - Rework build system patches to ready them for upstream submission,
      and drop libdevdir support which we do not use anymore.
  * Fix logic inversion in test suite flaky handling.
  * Remove trailing closing parenthesis from TESTS_RUN conditional.
  * Print a message when we run the test suite in flaky mode.
  * Remove armhf from the test suite flaky mode.

 -- Guillem Jover <guillem@debian.org>  Sun, 12 Apr 2020 04:49:39 +0200

libaio (0.3.112-6) unstable; urgency=medium

  * Sync with upstream commits:
    - Rebase against latest upstream git master.
    - Skip the test if io_pgetevents() is not implemented.
  * Switch to Standards-Version 4.5.0 (no changes needed).
  * Do not pass --add-udeb to dh_makeshlibs anymore, it's autodetected since
    debhelper 12.3, for which we add an explicit versioned Build-Depends.
  * Use correct syscall numbers for x32 port.
  * Make the testsuite fatal on architectures known to pass it, to avoid
    future regressions.
  * Temporarily force a flaky test suite run on architectures built under
    and emulator, to get test results.

 -- Guillem Jover <guillem@debian.org>  Sat, 11 Apr 2020 19:06:49 +0200

libaio (0.3.112-5) unstable; urgency=medium

  * Sync with upstream commits:
    - Make test suite failures fatal, so we ignore errors for now, until it
      passes at least in all release architectures.
    - Add support for SKIPable tests.
    - Allow running tests against the installed library, which will make
      possible to add autopkgtests.
    - Fix test case 5.t, by using a write() instead of a read() to force the
      kernel to read from the unreadable buffer.
  * Add a workaround to io_pgetevents() for 32-bit userland running on
    64-bit kernels to cope with the broken compat kernel syscall, which uses
    a 64-bit pointer instead of a 32-bit one, and eats the sigset_t size
    member which makes it then fail a consistency check and return -EINVAL.
    This fixes test case 22.t. The kernel fix is being prepared as well.
  * Add more detailed error messages to test case 22.t.

 -- Guillem Jover <guillem@debian.org>  Fri, 16 Aug 2019 05:11:10 +0200

libaio (0.3.112-4) unstable; urgency=medium

  * Switch to Standards-Version 4.4.0 (no changes needed).
  * Switch to debhelper compatibility level 12.
  * Switch from debian/compat to debhelper-compat in Build-Depends.
  * Test suite fixes:
    - Fix the attempt_rw READ call to be arch-dependent instead of making
      it the WRITE call. Thanks to Jeff Moyer <jmoyer@redhat.com>.

 -- Guillem Jover <guillem@debian.org>  Fri, 02 Aug 2019 05:33:44 +0200

libaio (0.3.112-3) unstable; urgency=medium

  * Test suite fixes:
    - Fix logic inversion in EINVAL check.
    - Revert making the test suite fatal on failures, as the Debian buildd
      setup is peculiar enough to make at least two tests fail. This will
      need further work.

 -- Guillem Jover <guillem@debian.org>  Tue, 26 Feb 2019 05:26:21 +0100

libaio (0.3.112-2) unstable; urgency=medium

  * Test suite fixes:
    - Make RISC-V use SYS_eventfd2 instead of unavailable SYS_eventfd.
    - Add fallback code for filesystems not supporting O_DIRECT.
    - Handle -ENOTSUP in addition to -EINVAL from io_submit() with RWF_NOWAIT.
    - The WRITE call does not change across different arches anymore.
    - Make the test exit with a code matching the pass/fail state.
      This will turn test suite errors into fatal build problems.

 -- Guillem Jover <guillem@debian.org>  Tue, 26 Feb 2019 03:14:38 +0100

libaio (0.3.112-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
    - Remove patches merged upstream.
    - Add new patch to fix error due to -Werror=sizeof-pointer-memaccess.
    - Split man page cleanup into logic changes, and further improve the
      formatting, markup, typo fixes, etc.
  * Use expanded symbol file instead of matching on symver. Even though
    upstream manages versioned symbols correctly, being explicit makes it
    safer against accidental changes.
  * Add a Build-Depends-Package field to the symbols file.
  * Only install upstream TODO into libaio-dev.
  * Remove support for old debug symbol package migration.
  * Add comment for dpkg-dev versioned Build-Depends.
  * Perform a proper and correct /usr-merge transition by moving the package
    contents from / to /usr.
  * Now using Standards-Version 4.3.0 (no changes needed).
  * Remove unused make variables from debian/rules.


