=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/libaio.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/libaio.git
 Homepage: https://pagure.io/libaio
-Standards-Version: 4.1.3
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Build-Depends:
- dpkg-dev (>= 1.19.0),
- debhelper (>= 11),
+ debhelper-compat (= 13),
 
 Package: libaio1
 Architecture: linux-any
