=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DEB_CFLAGS_MAINT_PREPEND = -Wall

include /usr/share/dpkg/default.mk
include /usr/share/dpkg/buildtools.mk

# The following architectures still fail the test suite:
#   m68k
#     (emulated, no proper test results)
#   sh4
#     (emulated, no proper test results)
#   x32
#     (20: io_setup failed)
#   riscv64
#     (5: 512 instead of EFAULT on write)
#   sparc64
#     (5: 512 instead of EFAULT on write)
#     (19: mremap EINVAL)
#   hppa
#     (5: 512 instead of EFAULT on write)
#     (19: mremap EINVAL)
#     (17: looping, timeout?)
ifneq (,$(filter $(DEB_HOST_ARCH),m68k sh4 x32 riscv64 sparc64 hppa))
  TESTS_FLAKY = yes
endif

export CC

%:
	dh $@

override_dh_auto_test:
ifeq ($(TESTS_FLAKY),yes)
	@echo "Notice: Running tests in flaky mode, errors will be ignored."
endif
	$(if $(TESTS_FLAKY),-)$(MAKE) partcheck \
	  CPPFLAGS="$(CPPFLAGS)" \
	  CFLAGS="$(CFLAGS)" \
	  LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- \
	  libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
