## libaio 0.3.112-13build1+11.0trisquel1

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 TAG = $(NAME)-$(VERSION)
 RPMBUILD=$(shell `which rpmbuild >&/dev/null` && echo "rpmbuild" || echo "rpm")
 
+DESTDIR=
 prefix=/usr
 includedir=$(prefix)/include
 libdir=$(prefix)/lib
@@ -14,7 +15,12 @@
 	@$(MAKE) -C src
 
 install:
-	@$(MAKE) -C src install prefix=$(DESTDIR)$(prefix) includedir=$(DESTDIR)$(includedir) libdir=$(DESTDIR)$(libdir)
+	@$(MAKE) -C src install \
+	  DESTDIR=$(DESTDIR) \
+	  prefix=$(prefix) \
+	  includedir=$(includedir) \
+	  libdir=$(libdir) \
+	  $(nil)
 
 check:
 	@$(MAKE) -C harness check
