=== debian/changelog ===
libaio (0.3.112-13build1+11.0trisquel1) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 30 Nov 2022 19:42:07 +0000

libaio (0.3.112-13build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:09:24 +0100

libaio (0.3.112-13) unstable; urgency=medium

  * Pass CPPFLAGS to linker command, which as a side effect makes the
    build reproducible on differing build pathnames.

 -- Guillem Jover <guillem@debian.org>  Thu, 11 Nov 2021 04:56:01 +0100

libaio (0.3.112-12) unstable; urgency=medium

  * Add patch from upstream to fix test suite warning with gcc-11.
  * Fix LTO build by using symver function attribute instead of .symver
    __asm__ statement. (Closes: #998309)

 -- Guillem Jover <guillem@debian.org>  Wed, 03 Nov 2021 00:56:45 +0100

libaio (0.3.112-11) unstable; urgency=medium

  * Use CC as a shell variable instead of a make one in autopkgtests.
  * Fix typos in io(3) man page.

 -- Guillem Jover <guillem@debian.org>  Sun, 10 Oct 2021 06:34:12 +0200

libaio (0.3.112-10) unstable; urgency=medium

  * Add autopkgtests.
  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Ship all man pages again, now that the redundant ones are no longer
    present, and the ones that describe the interfaces in the library live
    in section 3 which do not conflict with the ones in manpages-dev.
    (Closes: #995110)
  * Stop shipping upstream TODO file in libaio-dev.
  * List pathnames explicitly in debhelper .install fragment files, instead
    of using over matching globs.

 -- Guillem Jover <guillem@debian.org>  Sat, 09 Oct 2021 17:31:09 +0200
