## libaio 0.3.112.1

=== debian/changelog ===
libaio (0.3.112.1-1+dde) UNRELEASED; urgency=medium

  * update

 -- Guillem Jover <guillem@debian.org>  Thu, 26 May 2022 10:48:30 +0800

libaio (0.3.112.1-1+dde) unstable; urgency=medium

  * Add sunway support.

 -- Miao Changwei <miaochangwei@uniontech.com>  Tue, 19 Apr 2022 10:01:53 +0800
